// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// ClassName		:	Stateable
// Version			:	0.1
// Type				:	Core interface
//						
// ThreadSafe		:	Nope.
// Description		:	Describes the methods of an object that can store
//						information about its style.
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sbastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	03-Oct-2001
// Last mod.		:	03-Oct-2001	
// History			:	
//						03-Oct-2001 First implementation.(SP)
//
// Bugs				:
//						-
//
// To do			:
//						- Move to Java regexp
//						- Write JavaDoc.(SP)

package net.sourceforge.spedit.core;

import java.awt.Color;
import java.awt.Font;
import java.util.*;
import java.beans.*;

/**
  * 
  * @version 0.1
  * @author Sebastien Pierre
*/
public interface Stateable
{
	public static final int UNFOCUSED	= 1;
	public static final int FOCUSED		= 2;
	public static final int UNSELECTED	= 3;
	public static final int SELECTED	= 4;

	public abstract void setFocused(boolean focused);
	public abstract boolean isFocused();

	public abstract void setSelected(boolean focused);
	public abstract boolean isSelected();
}
