// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes-TestCases
// ClassName		:	XMLBridgeTestCase
// Version			:	0.08
// Type				:	Package test case
//
// ThreadSafe		:	-
// Description		:	A test case for testing every component of the
//						XMLBridge package.
// 						
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sebastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	10-Sep-2001	
// Last mod.		:	10-Sep-2001	
// History			:
//						10-Sep-2001 First implementation.(SP)
//
// Bugs				:
//					  -
//
// To do			:
//					  -
//					

package net.sourceforge.spedit.core.test;

import java.util.*;
import junit.framework.*;
import net.sourceforge.spedit.core.*;

public class XMLBridgeTestCase extends TestCase
{
	public XMLBridgeTestCase(String name)
	{
		super(name);
	}

	//-------------------------------------------------------------------------
	//
	// Integration
	//
	//-------------------------------------------------------------------------

	public static Test suite()
	{
		TestSuite suite = new TestSuite();
		suite.addTest(XMLDocumentTestCase.suite());
		suite.addTest(XMLElementTestCase.suite());
		suite.addTest(XMLTextTestCase.suite());
		suite.addTest(StyleableTestCase.suite());
		return suite;
	}

	public static void main(String args[])
	{
		String[] testCaseName = {XMLBridgeTestCase.class.getName()};
		junit.swingui.TestRunner.main(testCaseName);
	}
}

// EOF-Unix/ASCII-------------------------------------@RisingSun//Java//1.0//EN
