// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// ClassName		:	Helper
// Version			:	1.00
// Type				:	
//
// ThreadSafe		:	-
// Description		:	The PlugIn interface for the application.
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sbastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	02-Oct-2001	
// Last mod.		:	02-Oct-2001	
// History			:
//						02-Oct-2001 First implementation.(SP)
//
// Notes			:
//
// Bugs				:
//					  -
//
// To do			:
//					  -

package net.sourceforge.spedit.ext;

import java.util.Map;

/**
  * <p>A <code>Helper</code> plugin provides functionalities that are related to
  * the user actions on the application. A <b>helper</b> usually make
  * background checking and processing of the document. It can for example
  * give information on the currently edited element, automatically add or
  * remove an element when another is added, etc.</p>
  * <p>Generally speaking an helper has the role of a simple software agent
  * that reacts to application-generated events, and give feedback to the
  * user, or make automatic processing on the document.</p>
  * <p>For a word processor a helper could for example count the number of
  * words, check syntax, generate TOC automatically, etc.</p>
  * @ see View
  * @ see Helper
  * @ see Tool
*/
public interface Helper extends PlugIn
{
}

// EOF-Linux/ISO-8859-1-----------------------------@RisingSun//Python//1.0//EN
