// ---------------------------------------------------@RisingSun//Java//1.0//EN
// Project			:	SPEdit-Prototypes
// Module			:	GUI-Views
// ClassName		:	ComponentView
// Version			:	0.50
// Type				:	
//
// ThreadSafe		:	Nope
// Description		:	A Wrapper for views
//						
// URL				:	<http://SPEdit.sourceforge.net>
// ----------------------------------------------------------------------------
// Authors			:	Sbastien Pierre				<spierre@isb-sib.ch>
// ----------------------------------------------------------------------------
// Creation date	:	07-Nov-2001	
// Last mod.		:	07-Nov-2001	
// History			:
//						07-Nov-2001  First implementation.(sp)
// Notes			:
//
// Bugs				:
//					  -
//
// To do			:
//					  - 

package net.sourceforge.spedit.ui;

import javax.swing.text.Element;

//-----------------------------------------------------------------------------
//
// ComponentView class
//
//-----------------------------------------------------------------------------

/**
  * <p>The <code>ComponentView</code> is a configurable version of the Swing
  * class. It is actually a subclass of it but provides mechanism that allows
  * to plug-in a method that will create the component you want from the given
  * element.</p>
*/

public class ComponentView extends javax.swing.text.ComponentView
{

	public ComponentView(Element element)
	{
		super(element);
	}
	
}

// EOF-Unix/ASCII-------------------------------------@RisingSun//Java//1.0//EN
